Subject: Re: next-20160705 build: 2 failures 6 warnings (next-20160705)

From: Mark Brown <[email-masked]>
Date: Tue, 5 Jul 2016 11:52:42 +0200

On Tue, Jul 05, 2016 at 10:15:03AM +0100, Build bot for Mark Brown wrote:

For the past little while both arm and arm64 allmodconfig builds have
been failing with:

> drivers/built-in.o: In function `nbu2ss_drv_probe':
> binder.c:(.text+0x29438c): undefined reference to `usb_ep_set_maxpacket_limit'
> binder.c:(.text+0x294468): undefined reference to `usb_ep_set_maxpacket_limit'

That function is a static inline in linux/usb/gadget.h which does seem
to be included (the driver builds fine) so I'm not entirely sure why
this is failing - I've not had time to investigate properly, I don't
know if the compiler is misfiring here.